Alexander Hansen | 2 May 17:54 2016
Picon
Gravatar

Could I get someone with 10.10+Xcode 7 to test something?

I’m looking at the new lib version of wxWidgets.  

https://raw.githubusercontent.com/akhansen/Fink-experimental/master/wxWidgets/wxwidgets310.info

It looks like the build makes a lot of assumptions about building on OS X, including:
1) Not building vs X11
2) Development SDK  matches the OS X version. 

Since assumption #2 is broken for 10.10+Xcode 7, I’d like to see whether the package actually builds
under that configuration.  Bonus points if you know how to get the gtk+2 build to work. :-)

—akh
------------------------------------------------------------------------------
Find and fix application performance issues faster with Applications Manager
Applications Manager provides deep performance insights into multiple tiers of
your business applications. It resolves application problems quickly and
reduces your MTTR. Get your free trial!
https://ad.doubleclick.net/ddm/clk/302982198;130105516;z
_______________________________________________
Fink-devel mailing list
Fink-devel <at> lists.sourceforge.net
List archive:
http://news.gmane.org/gmane.os.apple.fink.devel
Subscription management:
https://lists.sourceforge.net/lists/listinfo/fink-devel
Scott Hannahs | 1 May 00:42 2016
Picon
Picon

Python installer

Unfortunately I maintain a python utility for fink.  But not being terribly up on the versioning issues with
python I am having some problems with some utilities.  I would appreciate a bit of help from the collective wisdom.

I have set up  a couple of python libraries by copying another library I am updating.  But they each gives a
different error.

pbr-py: gives the following
Validating .deb dir /sw/src/fink.build/root-pbr-py27-1.9.1-1...
Error: File in a language-versioned package does not have a pathname specific to that version.
	Offending file: /sw/bin/pbr

pycryptopp gives the following:
Validating .deb dir /sw/src/fink.build/root-pycryptopp-py27-0.7.1-1...
Error: File in a language-versioned package does not have a pathname specific to that version.
	Offending file: /sw/share/doc/pycryptopp/COPYING.GPL
	Offending file: /sw/share/doc/pycryptopp/COPYING.MIT.txt
	Offending file: /sw/share/doc/pycryptopp/COPYING.SPL.txt
	Offending file: /sw/share/doc/pycryptopp/COPYING.TGPPL.rst
	Offending file: /sw/share/doc/pycryptopp/README.rst

As far as I can tell fink wants to version the utility in sw/bin and the documentation in /sw/share/doc
This is fine, but I don’t see the switch to tell fink or the install script to do special handling for the
tools or the documentation.

Any suggestions of where to go for an example on how to handle this?  I find it odd, because fink automatically
did this for the lockfile-py27 installation that I used as a template.
For example on the pycryptopp library I use
InstallScript: %p/bin/python%type_raw[python] setup.py install --prefix=%p --root=%d
DocFiles: COPYING.GPL COPYING.MIT.txt COPYING.SPL.txt COPYING.TGPPL.rst MANIFEST.in NEWS.rst
PKG-INFO README.ed25519.rst README.rst
(Continue reading)

Daniel Johnson | 25 Apr 13:21 2016
Picon

Broken pypi.python.org download links

For anyone who maintains python modules, pypi has changed their download links in a way that completely
breaks fink. They replaced the regular links like
https://pypi.python.org/packages/source/c/cffi/cffi-1.6.0.tar.gz with this abomination:
https://pypi.python.org/packages/b6/98/11feff87072e2e640fb8320712b781eccdef05d588618915236b32289d5a/cffi-1.6.0.tar.gz.
So the links are no longer predictable. This was done for security reasons but has broken anything which
depends on a predictable link. After many people complained, they reintroduced the old style links which
redirect to the new ones; however, only on the beta version of the new pypi. The upshot is that you need to
change any download links that use https://pypi.python.org to use https://pypi.io instead and things
will work again.

Daniel

------------------------------------------------------------------------------
Find and fix application performance issues faster with Applications Manager
Applications Manager provides deep performance insights into multiple tiers of
your business applications. It resolves application problems quickly and
reduces your MTTR. Get your free trial!
https://ad.doubleclick.net/ddm/clk/302982198;130105516;z
_______________________________________________
Fink-devel mailing list
Fink-devel <at> lists.sourceforge.net
List archive:
http://news.gmane.org/gmane.os.apple.fink.devel
Subscription management:
https://lists.sourceforge.net/lists/listinfo/fink-devel
Hanspeter Niederstrasser | 26 Mar 13:48 2016

msp430-gdb build failure

Matthias,

msp430-gdb fails to build because some parts of the documentation are 
not properly escaped.  The following one liner in PatchScript fixes the 
build and allows it to finish.

perl -pi -e 's|\ <at> colophon| <at> $&|g; s|doc\ <at> cygnus.com|doc <at>  <at> cygnus.com|g' 
bfd/doc/bfd.texinfo

Hanspeter

------------------------------------------------------------------------------
Transform Data into Opportunity.
Accelerate data analysis in your applications with
Intel Data Analytics Acceleration Library.
Click to learn more.
http://pubads.g.doubleclick.net/gampad/clk?id=278785351&iu=/4140
_______________________________________________
Fink-devel mailing list
Fink-devel <at> lists.sourceforge.net
List archive:
http://news.gmane.org/gmane.os.apple.fink.devel
Subscription management:
https://lists.sourceforge.net/lists/listinfo/fink-devel

Hanspeter Niederstrasser | 15 Mar 04:03 2016

ruby20 & ruby22 hardcode gmkdir, ginstall, and grep at buildtime if present

ruby20 and ruby22 hardcode the coreutils executables gmkdir and ginstall 
into rbconfig.rb if present at buildtime. Fink's grep gets the same 
treatment. This then leads to buildtime failures of some ruby gems if 
coreutils (or grep) has been removed:

make "DESTDIR=" install
make: /sw/bin/gmkdir: Command not found
Makefile:195: recipe for target '.RUBYARCHDIR.time' failed
make: *** [.RUBYARCHDIR.time] Error 127

make install failed, exit code 2

Adding "ac_cv_path_mkdir=/bin/mkdir ac_cv_path_install=/usr/bin/install 
ac_cv_path_GREP=/usr/bin/grep" to ruby22's configure parameters 
hardcodes the system files.

The paths are hardcoded into /sw/lib/ruby/2.2/x86_64-darwin/rbconfig.rb 
to verify.

Hanspeter

------------------------------------------------------------------------------
Transform Data into Opportunity.
Accelerate data analysis in your applications with
Intel Data Analytics Acceleration Library.
Click to learn more.
http://pubads.g.doubleclick.net/gampad/clk?id=278785231&iu=/4140
_______________________________________________
Fink-devel mailing list
Fink-devel <at> lists.sourceforge.net
(Continue reading)

Hanspeter Niederstrasser | 11 Mar 12:47 2016

Fink's camlp5 can't build

Bruno,

Your package camlp5 fails to build on 10.7 and up because it has a 
Depends on ocaml < 4.01, but Fink's ocaml package is at 4.02. Can camlp5 
be updated to use the newer ocaml? I noticed that there's a newer 
version of camlp5 from early 2016 that their website says is compatible 
with ocaml 1.07 to 4.02.4.

Hanspeter

------------------------------------------------------------------------------
Transform Data into Opportunity.
Accelerate data analysis in your applications with
Intel Data Analytics Acceleration Library.
Click to learn more.
http://pubads.g.doubleclick.net/gampad/clk?id=278785111&iu=/4140
_______________________________________________
Fink-devel mailing list
Fink-devel <at> lists.sourceforge.net
List archive:
http://news.gmane.org/gmane.os.apple.fink.devel
Subscription management:
https://lists.sourceforge.net/lists/listinfo/fink-devel

Max Horn | 9 Mar 14:29 2016
Picon
Gravatar

OpenSSL 1.0.2g-1 update breaks python / pip?

Hi there,

I just updated to the latest openssl Fink package. Afterwards, pip was broken:

$ pip-py2.7 --version
Traceback (most recent call last):
  File "/sw/bin/pip-py2.7", line 9, in <module>
    load_entry_point('pip==8.0.2', 'console_scripts', 'pip')()
  File "/Users/mhorn/.local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 547, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/Users/mhorn/.local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2720,
in load_entry_point
    return ep.load()
  File "/Users/mhorn/.local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2380,
in load
    return self.resolve()
  File "/Users/mhorn/.local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2386,
in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/sw/lib/python2.7/site-packages/pip/__init__.py", line 15, in <module>
    from pip.vcs import git, mercurial, subversion, bazaar  # noqa
  File "/sw/lib/python2.7/site-packages/pip/vcs/subversion.py", line 9, in <module>
    from pip.index import Link
  File "/sw/lib/python2.7/site-packages/pip/index.py", line 29, in <module>
    from pip.wheel import Wheel, wheel_ext
  File "/sw/lib/python2.7/site-packages/pip/wheel.py", line 39, in <module>
    from pip._vendor.distlib.scripts import ScriptMaker
  File "/sw/lib/python2.7/site-packages/pip/_vendor/distlib/scripts.py", line 14, in <module>
    from .compat import sysconfig, detect_encoding, ZipFile
  File "/sw/lib/python2.7/site-packages/pip/_vendor/distlib/compat.py", line 31, in <module>
(Continue reading)

Roseli Wedemann | 3 Mar 23:07 2016
Picon

missing dependency and a bug in (fsf-)gdb

Hello,

I tried to install fsf-gdb and gdb via fink today on OS X El Capitan 10.11.3. 

First of all, a dependency is missing (libtool needed to be installed manually for fsf-gdb [perhaps also for gdb]).

Secondly, gdb runs ok via sudo, but not without sudo (I did the code signing as described in the package description). For the error see below:

gdb IntFokkerPlanck
GNU gdb 6.3.50.20050815-cvs (Thu Oct 15 12:32:49 UTC 2015)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i686-apple-darwin15.0.0"...Reading symbols for shared libraries .. done

(gdb) break 154
Breakpoint 1 at 0x10000080f: file IntFokkerPlanck.c, line 154.
(gdb) run
Starting program: /Users/roseliwedemann/tudo/Neural/FokkerPlanckModel/Program/IntFokkerPlanck 
Unable to find Mach task port for process-id 1257: (os/kern) failure (0x5).
(gdb)


Thirdly, fsf-gdb does not run via sudo nor without sudo.

error with sudo:

sudo fsf-gdb IntFokkerPlanck
Password:
Throw without catch before boot:
Throw to key misc-error with args ("primitive-load-path" "Unable to find file ~S in load path" ("ice-9/boot-9") #f)Aborting.


error without sudo:

fsf-gdb IntFokkerPlanck
Throw without catch before boot:
Throw to key misc-error with args ("primitive-load-path" "Unable to find file ~S in load path" ("ice-9/boot-9") #f)Aborting.
Abort trap: 6

Can you please help me solve the above problems / fix the missing dependency?

Cheers,

--
Roseli S. Wedemann
Instituto de Matemática e Estatística
Coordenadora do Programa de Pós-graduação em Ciências Computacionais
Head of the Computational Science Graduate Program
Universidade do Estado do Rio de Janeiro
R. São Francisco Xavier 524, 6 andar
20550-900, Rio de Janeiro, RJ
------------------------------------------------------------------------------
Site24x7 APM Insight: Get Deep Visibility into Application Performance
APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
Monitor end-to-end web transactions and take corrective actions now
Troubleshoot faster and improve end-user experience. Signup Now!
http://pubads.g.doubleclick.net/gampad/clk?id=272487151&iu=/4140
_______________________________________________
Fink-devel mailing list
Fink-devel <at> lists.sourceforge.net
List archive:
http://news.gmane.org/gmane.os.apple.fink.devel
Subscription management:
https://lists.sourceforge.net/lists/listinfo/fink-devel
David Lowe | 2 Mar 11:36 2016
Picon
Picon

Packaging Problem

	I'm trying to revive the dormant "Regina" package.  This new info file is based on the old one, but i had to
make changes because the new upstream version renamed some components ('libtest1.0.dylib ->
librxtest1.0.dylib, etc.)  Fine, so i did a search&replace.  Now compile phase finishes okeh, but the
install phase is still using the old name.  I just don't see where it's finding that name, it doesn't exist in
the info file anymore…

> sudo -u fink-bld [ENV] sh -c /tmp/fink.aKjqs
> /usr/bin/install -d -m 755 /sw/src/fink.build/root-regina-shlibs-3.8.2-3/sw/lib
> /bin/mv /sw/src/fink.build/root-regina-3.8.2-3/sw/lib/libregina.0.dylib /sw/src/fink.build/root-regina-shlibs-3.8.2-3/sw/lib/
> /bin/mv /sw/src/fink.build/root-regina-3.8.2-3/sw/lib/libtest1.0.dylib /sw/src/fink.build/root-regina-shlibs-3.8.2-3/sw/lib/
> mv: rename /sw/src/fink.build/root-regina-3.8.2-3/sw/lib/libtest1.0.dylib to
/sw/src/fink.build/root-regina-shlibs-3.8.2-3/sw/lib/libtest1.0.dylib: No such file or directory

Attachment (regina.info): application/octet-stream, 4259 bytes

sent from Mountain Lion

The Doctor: There’s a lot of things you need to get across this universe. Warp drive… wormhole
refractors… You know the thing you need most of all? You need a hand to hold.
------------------------------------------------------------------------------
Site24x7 APM Insight: Get Deep Visibility into Application Performance
APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
Monitor end-to-end web transactions and take corrective actions now
Troubleshoot faster and improve end-user experience. Signup Now!
http://pubads.g.doubleclick.net/gampad/clk?id=272487151&iu=/4140
_______________________________________________
Fink-devel mailing list
Fink-devel <at> lists.sourceforge.net
List archive:
http://news.gmane.org/gmane.os.apple.fink.devel
Subscription management:
https://lists.sourceforge.net/lists/listinfo/fink-devel
Jack Howarth | 17 Feb 16:34 2016
Picon

afni sources

  While adjusting afni-2010.10.19.1028-2 to build against the legacy flat_namespace libXt in the upcoming Xquartz 2.7.9 release, I noticed that the package's source mirror is no longer available at  http://mrires.stjosham.on.ca/~addavis/. Those sources should be uploaded to the fink mirror if anyone has those available locally.
            Jack
------------------------------------------------------------------------------
Site24x7 APM Insight: Get Deep Visibility into Application Performance
APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
Monitor end-to-end web transactions and take corrective actions now
Troubleshoot faster and improve end-user experience. Signup Now!
http://pubads.g.doubleclick.net/gampad/clk?id=272487151&iu=/4140
_______________________________________________
Fink-devel mailing list
Fink-devel <at> lists.sourceforge.net
List archive:
http://news.gmane.org/gmane.os.apple.fink.devel
Subscription management:
https://lists.sourceforge.net/lists/listinfo/fink-devel
Alexander Hansen | 11 Feb 01:25 2016
Picon
Gravatar

Test script errors in matplotlib-pyXY

Hi.  When building on 10.11/Xcode CL 7.2, I get the following errors during the test script (I only looked at
-py27 and -py35):

-py27:
ERROR: matplotlib.tests.test_backend_ps.test_savefig_to_stringio_with_usetex
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/sw/lib/python2.7/site-packages/nose/case.py", line 197, in runTest
    self.test(*self.arg)
  File
"/sw/src/fink.build/matplotlib-py27-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-2.7/matplotlib/testing/decorators.py",
line 118, in wrapped_function
    func(*args, **kwargs)
  File
"/sw/src/fink.build/matplotlib-py27-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-2.7/matplotlib/testing/decorators.py",
line 53, in failer
    result = f(*args, **kwargs)
  File
"/sw/src/fink.build/matplotlib-py27-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-2.7/matplotlib/tests/test_backend_ps.py",
line 77, in test_savefig_to_stringio_with_usetex
    _test_savefig_to_stringio()
  File
"/sw/src/fink.build/matplotlib-py27-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-2.7/matplotlib/tests/test_backend_ps.py",
line 40, in _test_savefig_to_stringio
    fig.savefig(buffer, format=format)
  File
"/sw/src/fink.build/matplotlib-py27-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-2.7/matplotlib/figure.py",
line 1565, in savefig
    self.canvas.print_figure(*args, **kwargs)
  File
"/sw/src/fink.build/matplotlib-py27-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-2.7/matplotlib/backend_bases.py",
line 2232, in print_figure
    **kwargs)
  File
"/sw/src/fink.build/matplotlib-py27-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-2.7/matplotlib/backends/backend_ps.py",
line 992, in print_ps
    return self._print_ps(outfile, 'ps', *args, **kwargs)
  File
"/sw/src/fink.build/matplotlib-py27-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-2.7/matplotlib/backends/backend_ps.py",
line 1019, in _print_ps
    **kwargs)
  File
"/sw/src/fink.build/matplotlib-py27-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-2.7/matplotlib/backends/backend_ps.py",
line 1377, in _print_figure_tex
    orientation)
  File
"/sw/src/fink.build/matplotlib-py27-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-2.7/matplotlib/backends/backend_ps.py",
line 1503, in convert_psfrags
    with io.open(tmpfile) as fh:
LookupError: unknown encoding: 

======================================================================
ERROR: matplotlib.tests.test_backend_ps.test_savefig_to_stringio_with_usetex_eps
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/sw/lib/python2.7/site-packages/nose/case.py", line 197, in runTest
    self.test(*self.arg)
  File
"/sw/src/fink.build/matplotlib-py27-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-2.7/matplotlib/testing/decorators.py",
line 118, in wrapped_function
    func(*args, **kwargs)
  File
"/sw/src/fink.build/matplotlib-py27-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-2.7/matplotlib/testing/decorators.py",
line 53, in failer
    result = f(*args, **kwargs)
  File
"/sw/src/fink.build/matplotlib-py27-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-2.7/matplotlib/tests/test_backend_ps.py",
line 96, in test_savefig_to_stringio_with_usetex_eps
    _test_savefig_to_stringio(format='eps')
  File
"/sw/src/fink.build/matplotlib-py27-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-2.7/matplotlib/tests/test_backend_ps.py",
line 40, in _test_savefig_to_stringio
    fig.savefig(buffer, format=format)
  File
"/sw/src/fink.build/matplotlib-py27-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-2.7/matplotlib/figure.py",
line 1565, in savefig
    self.canvas.print_figure(*args, **kwargs)
  File
"/sw/src/fink.build/matplotlib-py27-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-2.7/matplotlib/backend_bases.py",
line 2232, in print_figure
    **kwargs)
  File
"/sw/src/fink.build/matplotlib-py27-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-2.7/matplotlib/backends/backend_ps.py",
line 995, in print_eps
    return self._print_ps(outfile, 'eps', *args, **kwargs)
  File
"/sw/src/fink.build/matplotlib-py27-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-2.7/matplotlib/backends/backend_ps.py",
line 1019, in _print_ps
    **kwargs)
  File
"/sw/src/fink.build/matplotlib-py27-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-2.7/matplotlib/backends/backend_ps.py",
line 1377, in _print_figure_tex
    orientation)
  File
"/sw/src/fink.build/matplotlib-py27-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-2.7/matplotlib/backends/backend_ps.py",
line 1503, in convert_psfrags
    with io.open(tmpfile) as fh:
LookupError: unknown encoding: 

======================================================================
ERROR: matplotlib.tests.test_style.test_use_url
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/sw/lib/python2.7/site-packages/nose/case.py", line 197, in runTest
    self.test(*self.arg)
  File
"/sw/src/fink.build/matplotlib-py27-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-2.7/matplotlib/tests/test_style.py",
line 63, in test_use_url
    with style.context('https://gist.github.com/adrn/6590261/raw'):
  File "/sw/lib/python2.7/contextlib.py", line 17, in __enter__
    return self.gen.next()
  File
"/sw/src/fink.build/matplotlib-py27-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-2.7/matplotlib/style/core.py",
line 121, in context
    use(style)
  File
"/sw/src/fink.build/matplotlib-py27-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-2.7/matplotlib/style/core.py",
line 90, in use
    raise IOError(msg % style)
IOError: 'https://gist.github.com/adrn/6590261/raw' not found in the style library and input is not a
valid URL or path. See `style.available` for list of available styles.

----------------------------------------------------------------------
Ran 5165 tests in 600.063s

FAILED (KNOWNFAIL=21, SKIP=6,
errors=3)
/sw/src/fink.build/matplotlib-py27-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-2.7/matplotlib/__init__.py:1350:
UserWarning:  This call to matplotlib.use() has no effect
because the backend has already been chosen;
matplotlib.use() must be called *before* pylab, matplotlib.pyplot,
or matplotlib.backends is imported for the first time.

  warnings.warn(_use_error_msg)

-py35:
ERROR: matplotlib.tests.test_style.test_use_url
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/sw/lib/python3.5/urllib/request.py", line 1240, in do_open
    h.request(req.get_method(), req.selector, req.data, headers)
  File "/sw/lib/python3.5/http/client.py", line 1083, in request
    self._send_request(method, url, body, headers)
  File "/sw/lib/python3.5/http/client.py", line 1128, in _send_request
    self.endheaders(body)
  File "/sw/lib/python3.5/http/client.py", line 1079, in endheaders
    self._send_output(message_body)
  File "/sw/lib/python3.5/http/client.py", line 911, in _send_output
    self.send(msg)
  File "/sw/lib/python3.5/http/client.py", line 854, in send
    self.connect()
  File "/sw/lib/python3.5/http/client.py", line 1237, in connect
    server_hostname=server_hostname)
  File "/sw/lib/python3.5/ssl.py", line 376, in wrap_socket
    _context=self)
  File "/sw/lib/python3.5/ssl.py", line 747, in __init__
    self.do_handshake()
  File "/sw/lib/python3.5/ssl.py", line 983, in do_handshake
    self._sslobj.do_handshake()
  File "/sw/lib/python3.5/ssl.py", line 628, in do_handshake
    self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:645)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File
"/sw/src/fink.build/matplotlib-py35-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-3.5/matplotlib/style/core.py",
line 84, in use
    rc = rc_params_from_file(style, use_default_template=False)
  File
"/sw/src/fink.build/matplotlib-py35-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-3.5/matplotlib/__init__.py",
line 1100, in rc_params_from_file
    config_from_file = _rc_params_in_file(fname, fail_on_error)
  File
"/sw/src/fink.build/matplotlib-py35-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-3.5/matplotlib/__init__.py",
line 1018, in _rc_params_in_file
    with _open_file_or_url(fname) as fd:
  File "/sw/lib/python3.5/contextlib.py", line 59, in __enter__
    return next(self.gen)
  File
"/sw/src/fink.build/matplotlib-py35-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-3.5/matplotlib/__init__.py",
line 995, in _open_file_or_url
    f = urlopen(fname)
  File "/sw/lib/python3.5/urllib/request.py", line 162, in urlopen
    return opener.open(url, data, timeout)
  File "/sw/lib/python3.5/urllib/request.py", line 465, in open
    response = self._open(req, data)
  File "/sw/lib/python3.5/urllib/request.py", line 483, in _open
    '_open', req)
  File "/sw/lib/python3.5/urllib/request.py", line 443, in _call_chain
    result = func(*args)
  File "/sw/lib/python3.5/urllib/request.py", line 1283, in https_open
    context=self._context, check_hostname=self._check_hostname)
  File "/sw/lib/python3.5/urllib/request.py", line 1242, in do_open
    raise URLError(err)
urllib.error.URLError: <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:645)>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/sw/lib/python3.5/site-packages/nose/case.py", line 198, in runTest
    self.test(*self.arg)
  File
"/sw/src/fink.build/matplotlib-py35-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-3.5/matplotlib/tests/test_style.py",
line 63, in test_use_url
    with style.context('https://gist.github.com/adrn/6590261/raw'):
  File "/sw/lib/python3.5/contextlib.py", line 59, in __enter__
    return next(self.gen)
  File
"/sw/src/fink.build/matplotlib-py35-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-3.5/matplotlib/style/core.py",
line 121, in context
    use(style)
  File
"/sw/src/fink.build/matplotlib-py35-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-3.5/matplotlib/style/core.py",
line 90, in use
    raise IOError(msg % style)
OSError: 'https://gist.github.com/adrn/6590261/raw' not found in the style library and input is not a
valid URL or path. See `style.available` for list of available styles.

----------------------------------------------------------------------
Ran 5165 tests in 658.655s

FAILED (KNOWNFAIL=22, SKIP=6,
errors=1)
/sw/src/fink.build/matplotlib-py35-1.5.1-2/matplotlib-1.5.1/build/lib.macosx-10.11-x86_64-3.5/matplotlib/__init__.py:1350:
UserWarning:  This call to matplotlib.use() has no effect
because the backend has already been chosen;
matplotlib.use() must be called *before* pylab, matplotlib.pyplot,
or matplotlib.backends is imported for the first time.

  warnings.warn(_use_error_msg)

I’m not a bit surprised by the SSL error on 10.11.

--

-- 
Alexander Hansen, Ph.D.
Fink User Liaison

------------------------------------------------------------------------------
Site24x7 APM Insight: Get Deep Visibility into Application Performance
APM + Mobile APM + RUM: Monitor 3 App instances at just $35/Month
Monitor end-to-end web transactions and take corrective actions now
Troubleshoot faster and improve end-user experience. Signup Now!
http://pubads.g.doubleclick.net/gampad/clk?id=272487151&iu=/4140
_______________________________________________
Fink-devel mailing list
Fink-devel <at> lists.sourceforge.net
List archive:
http://news.gmane.org/gmane.os.apple.fink.devel
Subscription management:
https://lists.sourceforge.net/lists/listinfo/fink-devel

Gmane